<?
If ($send == "ok") {
 If (trim($ft[11]) == "0") {
  echo "<script> alert('Вы блокированный пользователь, у Вас нет права изменять свои данные.'); history.back(); </script>";
 }
 Else {
  If ($pwd1 <> $pwd2) {
   echo "<script> alert('Пароль и повтор пароля не совпадают!'); history.back(); </script>";
  }
  ElseIf ($pwd1 == $pwd2 and $pwd1 == "") {
   echo "<script> alert('Пробел не может быть паролем!'); history.back(); </script>";
  }
  Else {
   $ftr = fopen("users/$cl", "w");
   fwrite($ftr, $pwd1 . "\n");
   $i = 1;
   while ($ft[$i] <> null) {
    fwrite($ftr, trim($ft[$i]) . "\n");
    $i++;
   }
   fclose($ftr);
   $ft = @file("users/$cl");

   echo "<script> alert('Пароль изменен!'); </script>";
   If (strlen($pwd1) <= 5) {
    echo "<script> alert('Пароль слишком короткий, мы советуем Вам изменить пароль на более длинный и сложный!'); </script>";
   }

   echo "<script> document.location.href='/my.php?cl=$cl&cp=" . md5(getenv("REMOTE_ADDR") . $pwd1) . "'; </script>";
   exit;
  }
 }
}
ElseIf ($send == "install_br") {
 $smsg = serv_send_money("9.95", $cl, $cp, "Выделение названия организации жирным красным шрифтом.");
 If ($smsg == "true") {
  $ftr = fopen("users/$cl", "w");
  fwrite($ftr, trim($ft[0]) . "\n");
  fwrite($ftr, "<b><font color='#FF0000'>" . trim($ft[1]) . "</font></b>\n");
  $i = 2;
  while ($ft[$i] <> "") {
   fwrite($ftr, trim($ft[$i]) . "\n");
   $i++;
  }
  fclose($ftr);
  $ft = @file("users/$cl");

  echo "<script> alert('Установлено!'); document.location.href='/my.php$idstr';</script>";
 }
 Else {
  echo "<script> alert('Ошибка!!!\\n$smsg'); document.location.href='/my.php$idstr';</script>";
 }
}
ElseIf ($send == "install_u") {
 $smsg = serv_send_money("1.95", $cl, $cp, "Выделение названия организации подчерком.");
 If ($smsg == "true") {
  $ftr = fopen("users/$cl", "w");
  fwrite($ftr, trim($ft[0]) . "\n");
  fwrite($ftr, "<u>" . trim($ft[1]) . "</u>\n");
  $i = 2;
  while ($ft[$i] <> "") {
   fwrite($ftr, trim($ft[$i]) . "\n");
   $i++;
  }
  fclose($ftr);
  $ft = @file("users/$cl");

  echo "<script> alert('Установлено!'); document.location.href='/my.php$idstr';</script>";
 }
 Else {
  echo "<script> alert('Ошибка!!!\\n$smsg'); document.location.href='/my.php$idstr';</script>";
 }
}
ElseIf ($send == "mailnotify") {
  If (trim($ft[13]) == "1") {
   $ft[13] = "0";
  }
  Else {
   $ft[13] = "1";
  }

  $ftr = fopen("users/$cl", "w");
  $i = 0;
  while ($ft[$i] <> "") {
   fwrite($ftr, trim($ft[$i]) . "\n");
   $i++;
  }
  fclose($ftr);

  $ft = @file("users/$cl");
  echo "<script> alert('Сохранено!'); </script>";
  echo "<script> document.location.href='/my.php" . $idstr . "'; </script>";
  exit;
}
ElseIf ($send == "moneyback") {
 $fm = @file("moneyback/$cl");
 $ar = explode("^", trim($fm[$id]));

 $backsumm = floor($ar[2] / (1 + 0.008)*100)/100; //$ar[2] - ceil($ar[2] * 0.008*100)/100;

 $wmmsg = wm_send_money($backsumm, $cl, $cp, $ar[4], "moneyback", "Возврат денег покупателю по счету №$ar[0]");
 If ($wmmsg == "true") {
  $ft = fopen("moneyback/$cl", "w");
  for ($i = 0; $i < count($fm); $i++) {
   if ($i <> $id) { fwrite($ft, trim($fm[$i]) . "\n"); }
  }
  fclose($ft);

  $fmr = @file("shopcounts.inc");
  $ft = fopen("shopcounts.inc", "w");
  for ($i = 0; $i < count($fmr); $i++) {
   $ty = explode("^", trim($fmr[$i]));
   if ($ty[0] <> $ar[0]) { fwrite($ft, trim($fmr[$i]) . "\n"); } Else { fwrite($ft, $ty[0] . "\n"); }
  }
  fclose($ft);

  echo "<script> alert('Перечисление успешно завершено!'); document.location.href='/my.php$idstr';</script>";
 }
 Else {
  echo "<script> alert('Ошибка!!! $wmmsg \\nОбратитесь в службу поддержки support@fishka.biz, либо по внутренней почте.'); document.location.href='/my.php$idstr';</script>";
 }
 exit;
}

$prod = 0;
$rating = 0;
$d = dir("goods/");
while($tme = $d->read()) {
 If ($tme <> "." and $tme <> ".." and $tme <> ".htaccess") {
  $fr = @file("goods/$tme");
  If (trim($fr[0]) == $name) {
   $prod = $prod + (integer) trim($fr[15]);

   for ($s = 0; $s < count($arresp); $s++) {
    If ($tme == $arresp[$s]) {
     $fr2 = @file("responses/$tme");

     $m = 0;
     while ($fr2[$m] <> "") {
      $ar2 = explode("^", trim($fr2[$m]));
      If ($ar2[0] == "0") {
       $rating = $rating + 1;
      }
      Else {
       $rating = $rating - 1;
      }
      $m++;
     }

    }
   }
  }
 }
}
$d->close();
?>

<script language=javascript>
 function pwdch() {
  if(confirm('Вы действительно хотите изменить пароль?')){
   frmpwd.submit();
  }
 }
</script>


<table border="0" width="100%" cellspacing="0" cellpadding="0">
  <tr>
    <td width="100%" bgcolor="#F0F0F0"><p><b>&gt;&gt; Авторизированный пользователь <? echo $cl ?> &gt;&gt; Мои настройки</b></p></td>
  </tr>
</table>
<p>&nbsp;</p>

<table border="0" width="98%" cellspacing="0" cellpadding="4" bgcolor="#C0C0C0" align="center">
  <tr>
    <td width="2%" valign="middle" bgcolor="#F0F0F0" height="1" style="border-left: 1 solid #C0C0C0; border-top: 1 solid #C0C0C0; border-bottom: 1 solid #C0C0C0"><p align="center"><img border="0" src="img/pic_info.gif" width="16" height="16"></p></td>
    <td width="98%" bgcolor="#F0F0F0" height="1" style="border-right: 1 solid #C0C0C0; border-top: 1 solid #C0C0C0; border-bottom: 1 solid #C0C0C0"><p>Чтобы изменить свои реквизиты (кроме пароля) Вы должны написать администратору по внутренней почте.</p><p>Если у Вас есть персональный (или выше) аттестат сообщите об этом администратору, это даст Вам некоторые преимущества(о которых вам раскажет администратор).</p></td>
  </tr>
</table>
<p>&nbsp;</p>
<?
If ($ismoneyback == "true") {
 $fmb = @file("moneyback/$cl");
 echo "
 <table border='0' width='98%' cellspacing='0' cellpadding='4' bgcolor='#C0C0C0' align='center'>
   <tr>
     <td width='2%' valign='middle' bgcolor='#F0F0F0' height='1' style='border-left: 1 solid #FF0000; border-top: 1 solid #FF0000; border-bottom: 1 solid #FF0000'><p align='center'><img border='0' src='/pic_infor.gif' width='16' height='16'></p></td>
     <td width='98%' bgcolor='#F0F0F0' height='1' style='border-right: 1 solid #FF0000; border-top: 1 solid #FF0000; border-bottom: 1 solid #FF0000'><p>На один из Ваших товаров поступил отрицательный отзыв, у Вас нет персонального аттестата. Вы должны либо вернуть деньги покупателю либо получить персональный (или выше) аттестат и сообщить об этом администратору.</p>";


 for ($r = 0; $r < count($fmb); $r++) {
  $aet = explode("^", trim($fmb[$r]));
  If ($aet[1] == "1") {
   echo "<p>Покупатель с WM ID $aet[3] оставил отрицательный отзыв. <input type='button' value='Вернуть деньги' onClick=\"document.location.href='/my.php$idstr&send=moneyback&id=$r'\" name='B2' style='font-family: Verdana, Arial; font-size: 8pt'></p>";
  }
 }

 echo "     </font></td>
   </tr>
 </table><p>&nbsp;</p>";
}
?>

<table border="1" width="98%" cellpadding="0" align="center" style="border-collapse: collapse" bordercolor="#9ace8b" cellspacing="1">
  <tr>
    <td width="100%" valign="top">
      <table border="0" width="100%" cellspacing="0" cellpadding="0">
        <tr>
           <td width="100%" bgcolor="#9ACE8B"><p><b>Мои настройки</b></p></td>
        </tr>
        <tr>
           <td width="100%" align="center" bgcolor="#F1FFED">

          <table border="1" width="100%" cellspacing="0" cellpadding="0" bordercolorlight="#FFFFFF" bordercolordark="#FFFFFF">
            <tr>
              <td width="30%" bgcolor="#9ACE8B" height="19" bordercolorlight="#F1FFED" bordercolordark="#F1FFED"><p>Название организации:</p></td>
              <td width="70%" height="19" bgcolor="#F1FFED"><p><? echo trim($ft[1]) ?></p></td>
            </tr>
            <tr>
              <td width="30%" bgcolor="#9ACE8B" height="19" bordercolorlight="#F1FFED" bordercolordark="#F1FFED"><p>Регистрационное имя (псевдоним):</p></td>
              <td width="70%" height="19" bgcolor="#F1FFED"><p><? echo $cl ?></p></td>
            </tr>
            <tr>
              <td width="30%" bgcolor="#9ACE8B" height="19" bordercolorlight="#F1FFED" bordercolordark="#F1FFED"><p>Место нахождения:</p></td>
              <td width="70%" height="19" bgcolor="#F1FFED"><p><? echo trim($ft[2]) ?></p></td>
            </tr>
            <tr>
              <td width="30%" bgcolor="#9ACE8B" height="19" bordercolorlight="#F1FFED" bordercolordark="#F1FFED"><p>URL:</p></td>
              <td width="70%" height="19" bgcolor="#F1FFED"><p><? echo trim($ft[3]) ?></p></td>
            </tr>
            <tr>
              <td width="30%" bgcolor="#9ACE8B" height="19" bordercolorlight="#F1FFED" bordercolordark="#F1FFED"><p>Ф. И. О. ответственного лица:</p></td>
              <td width="70%" height="19" bgcolor="#F1FFED"><p><? echo trim($ft[4]) ?></p></td>
            </tr>
            <tr>
              <td width="30%" bgcolor="#9ACE8B" height="19" bordercolorlight="#F1FFED" bordercolordark="#F1FFED"><p>Контактный телефон:</p></td>
              <td width="70%" height="19" bgcolor="#F1FFED"><p><? echo trim($ft[5]) ?></p></td>
            </tr>
            <tr>
              <td width="30%" bgcolor="#9ACE8B" height="18" bordercolorlight="#F1FFED" bordercolordark="#F1FFED"><p>E-mail адрес:</p></td>
              <td width="70%" height="19" bgcolor="#F1FFED"><p><? echo trim($ft[6]) ?></p></td>
            </tr>
            <tr>
              <td width="30%" bgcolor="#9ACE8B" height="19" bordercolorlight="#F1FFED" bordercolordark="#F1FFED"><p>WM - идентификатор:</p></td>
              <td width="70%" height="19" bgcolor="#F1FFED"><p><? echo trim($ft[7]) ?></p></td>
            </tr>
            <tr>
              <td width="30%" bgcolor="#9ACE8B" height="1" bordercolorlight="#F1FFED" bordercolordark="#F1FFED"><p>WM кошелек Z-типа:</p></td>
              <td width="70%" height="19" bgcolor="#F1FFED"><p><? echo trim($ft[8]) ?></p></td>
            </tr>
            <tr>
              <td width="30%" bgcolor="#9ACE8B" height="1" bordercolorlight="#F1FFED" bordercolordark="#F1FFED"><p>Рейтинг:</p></td>
              <td width="70%" height="19" bgcolor="#F1FFED"><p><? echo $rating; ?></p></td>
            </tr>
            <tr>
              <td width="30%" bgcolor="#9ACE8B" height="1" bordercolorlight="#F1FFED" bordercolordark="#F1FFED"><p>Общее количество продаж:</p></td>
              <td width="70%" height="19" bgcolor="#F1FFED"><p><? echo $prod ?></p></td>
            </tr>
            <tr>
              <td width="30%" bgcolor="#9ACE8B" height="1" bordercolorlight="#F1FFED" bordercolordark="#F1FFED"><p>Уведомления по e-mail:</p></td>
              <td width="70%" height="19" bgcolor="#F1FFED"><p><input type="checkbox" name="cbmail" onClick="document.location.href='/my.php<? echo $idstr ?>&send=mailnotify'" value="on" <? If (trim($ft[13]) == "1") { echo "checked";} ?>>&nbsp;Включить / выключить</p></td>
            </tr>
          </table>
<form method="POST" name="frmpwd" action="/my.php<? echo $idstr ?>">
<input type="hidden" name="send" value="ok">
  <p align="center">Новый пароль:
  <input type="password" name="pwd1" size="20" style="font-family: Verdana, Arial; font-size: 8pt; border: 1px solid #9ACE8B; ">, повтор
  <input type="password" name="pwd2" size="20" style="font-family: Verdana, Arial; font-size: 8pt; border: 1px solid #9ACE8B; ">
  <input type="button" onClick="pwdch();" value="Изменить" name="B1" style="border:1px solid #9ACE8B; font-family: Verdana, Arial; font-size: 8pt; background-color:#F1FFED"></p>
</form>
           </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<p>&nbsp;</p>

<table border="1" width="98%" cellpadding="0" align="center" style="border-collapse: collapse" bordercolor="#9ace8b" cellspacing="1">
  <tr>
    <td width="100%" valign="top">
      <table border="0" width="100%" cellspacing="0" cellpadding="0">
        <tr>
           <td width="100%" bgcolor="#9ACE8B"><p><b>Выдели название своей организации!</b></p></td>
        </tr>
        <tr>
           <td width="100%" valign="top" bgcolor="#F1FFED">
              <p>Хотите что бы название Вашей организации, а, следовательно, и товар стал более заметным?! Как это выглядит можно увидеть на рисунке у продавца SHOPWM.ru, его название выделено красным и более жирное! Причем это выделение будет применяться везде, где только будет встречаться название организации продавца! Так же существуют и другие выделения названия организации, смотрите ниже.</p>
              <p><font color="#FF0000">При установке нового выделения, уже установленные выделения остаются!</font></p>
              <p><img border="0" src="img/image_selnamenew.gif" width="341" height="93"></p>
<SCRIPT language="javascript">
function install_br() {
	inst = <? If (ereg("<b><font color='#FF0000'>", trim($ft[1])) == true) { echo "1;"; } Else { echo "0;"; } ?>

	if(inst == 1) {
		alert("Уже установлено!");
	}
	else {
		if(confirm("Вы действительно хотите установить это дополнение и отдать за это 9.95?")){
			document.location.href='/my.php<? echo $idstr?>&send=install_br';
		}
	}
}

function install_u() {
	inst = <? If (ereg("<u>", trim($ft[1])) == true) { echo "1;"; } Else { echo "0;"; } ?>

	if(inst == 1) {
		alert("Уже установлено!");
	}
	else {
		if(confirm("Вы действительно хотите установить это дополнение и отдать за это 1.95?")){
			document.location.href='/my.php<? echo $idstr?>&send=install_u';
		}
	}
}
              </SCRIPT>

<?
$orgname = str_replace("<b><font color='#FF0000'>", "", str_replace("<u>", "", trim($ft[1])));
?>

<p>&nbsp;</p>
<p>Выделить название моей организации красным жирным.</p>
<p>Пример: <b><? echo $orgname ?></b></p>
<p>Статус: <? If (ereg("<b>", trim($ft[1])) == true) { echo "Уже установлено!"; } Else { echo "Доступно для установки."; } ?></p>
<p>
<input type="button" value="Оплатить 9.95" onClick="install_br();" name="B3" style="border:1px solid #9ACE8B; font-family: Verdana, Arial; font-size: 8pt; background-color:#F1FFED"></p>

<hr size="1" color="#C0C0C0">
<p>Выделить название моей организации подчеркнутой линией.</p>
<p>Пример: <? echo $orgname ?></p>
<p>Статус: <? If (ereg("<u>", trim($ft[1])) == true) { echo "Уже установлено!"; } Else { echo "Доступно для установки."; } ?></p>
<p>
<input type="button" value="Оплатить 1.95" onClick="install_u();" name="B4" style="border:1px solid #9ACE8B; font-family: Verdana, Arial; font-size: 8pt; background-color:#F1FFED"></p>
           </td>
        </tr>
      </table>
    </td>
  </tr>
</table>